## golang-github-in-toto-attestation 1.1.0

=== python/Makefile ===
SHELL := /bin/bash

PY_MODULE := in_toto_attestation

ALL_PY_SRCS := $(shell find $(PY_MODULE) tests -name '*.py')

# Optionally overriden by the user, if they're using a virtual environment manager.
VENV ?= env

VENV_STAMP = $(VENV)/pyvenv.cfg

# On Windows, venv scripts/shims are under `Scripts` instead of `bin`.
VENV_BIN := $(VENV)/bin
ifeq ($(OS),Windows_NT)
	VENV_BIN := $(VENV)/Scripts
endif

# Optionally overridden by the user in the `release` target.
BUMP_ARGS :=

# Optionally overridden by the user/CI, to limit the installation to a specific
# subset of development dependencies.
INSTALL_EXTRA := dev

.PHONY: all
all:
	@echo "Run my targets individually!"

.PHONY: dev
dev: $(VENV_STAMP)

$(VENV_STAMP): pyproject.toml
	python -m venv $(VENV)
	$(VENV_BIN)/python -m pip install --upgrade pip
	$(VENV_BIN)/python -m pip install -e .[$(INSTALL_EXTRA)]

.PHONY: lint
lint: $(VENV_STAMP)
	. $(VENV_BIN)/activate && \
		ruff format --check $(ALL_PY_SRCS) && \
		ruff $(ALL_PY_SRCS) && \
		mypy $(PY_MODULE)

.PHONY: reformat
reformat: $(VENV_STAMP)
	. $(VENV_BIN)/activate && \
		ruff format $(ALL_PY_SRCS) && \
		ruff --fix $(ALL_PY_SRCS)

.PHONY: test tests
test tests: $(VENV_STAMP)
	. $(VENV_BIN)/activate && \
		pytest --cov=$(PY_MODULE) $(T) $(TEST_ARGS) && \
		python -m coverage report -m $(COV_ARGS)

.PHONY: package
package: $(VENV_STAMP)
	. $(VENV_BIN)/activate && \
		python -m build

.PHONY: edit
edit:
	$(EDITOR) $(ALL_PY_SRCS)

.PHONY: clean
clean:
	rm -r $(VENV)

=== python/requirements.txt ===
protobuf==4.22.3

=== debian/changelog ===
golang-github-in-toto-attestation (1.1.0-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 13 Nov 2024 08:32:34 +0100

golang-github-in-toto-attestation (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1085856)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Oct 2024 22:46:45 +0000

=== debian/control ===
Source: golang-github-in-toto-attestation
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-stretchr-testify-dev,
 golang-google-protobuf-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-in-toto-attestation
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-in-toto-attestation.git
Homepage: https://github.com/in-toto/attestation
XS-Go-Import-Path: github.com/in-toto/attestation

Package: golang-github-in-toto-attestation-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-stretchr-testify-dev,
 golang-google-protobuf-dev,
 ${misc:Depends},
Description: in-toto Attestation Framework (Go library)
 The in-toto Attestation Framework provides a specification for generating
 verifiable claims about any aspect of how a piece of software is
 produced. Consumers or users of software can then validate the origins
 of the software, and establish trust in its supply chain, using in-toto
 attestations.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_install:
	rm -rfv $(CURDIR)/debian/golang-github-in-toto-attestation-dev/usr/bin

## golang-github-in-toto-attestation 1.1.1

=== debian/changelog ===
golang-github-in-toto-attestation (1.1.1-1) unstable; urgency=medium

  * d/salsa-ci: Build rdeps.
  * New upstream version 1.1.1
  * Use --no-binaries to avoid /usr/bin's.
  * Run go generate.
  * Bump debian/* copyright years.
  * Standards-Version: 4.7.2.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 09 Apr 2025 23:15:01 +0200

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/in-toto/attestation/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-in-toto-attestation 1.1.2

=== Makefile ===
go_setup:
	go install google.golang.org/protobuf/cmd/protoc-gen-go

protos: go_setup
	make -C protos go
	make -C protos python
	make -C protos java

go_run:
	go run examples/go/main.go

go_test: go_setup
	go test ./...

py_test:
	python3 -m unittest python/tests/test_*.py

.PHONY: protos go_setup go_run go_test py_test

=== images/Makefile ===
all : provenance.svg

%.svg : %.dot
	dot -Tsvg $< > $@

=== protos/Makefile ===
# Creates the go libs in the go/ directory.
go:
	protoc --go_out=../go --go_opt=module=github.com/in-toto/attestation/go $(shell find ./in_toto_attestation -name "*.proto")

# Creates the python libs in the python/ directory.
python:
	protoc --python_out=../python $(shell find ./in_toto_attestation -name "*.proto")
	make -C ../python reformat

# Creates the java libs in the java/ directory.
java:
	protoc --java_out=../java $(shell find ./in_toto_attestation -name "*.proto")

.PHONY: go python java

=== python/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SHELL := /bin/bash
-
+PYTHON := python
 PY_MODULE := in_toto_attestation
 
 ALL_PY_SRCS := $(shell find $(PY_MODULE) tests -name '*.py')
@@ -30,33 +30,33 @@
 dev: $(VENV_STAMP)
 
 $(VENV_STAMP): pyproject.toml
-	python -m venv $(VENV)
+	$(PYTHON) -m venv $(VENV)
 	$(VENV_BIN)/python -m pip install --upgrade pip
 	$(VENV_BIN)/python -m pip install -e .[$(INSTALL_EXTRA)]
 
 .PHONY: lint
 lint: $(VENV_STAMP)
 	. $(VENV_BIN)/activate && \
-		ruff format --check $(ALL_PY_SRCS) && \
-		ruff $(ALL_PY_SRCS) && \
+		ruff format --diff $(ALL_PY_SRCS) && \
+		ruff check $(ALL_PY_SRCS) && \
 		mypy $(PY_MODULE)
 
 .PHONY: reformat
 reformat: $(VENV_STAMP)
 	. $(VENV_BIN)/activate && \
 		ruff format $(ALL_PY_SRCS) && \
-		ruff --fix $(ALL_PY_SRCS)
+		ruff check --fix $(ALL_PY_SRCS)
 
 .PHONY: test tests
 test tests: $(VENV_STAMP)
 	. $(VENV_BIN)/activate && \
 		pytest --cov=$(PY_MODULE) $(T) $(TEST_ARGS) && \
-		python -m coverage report -m $(COV_ARGS)
+		$(PYTHON) -m coverage report -m $(COV_ARGS)
 
 .PHONY: package
 package: $(VENV_STAMP)
 	. $(VENV_BIN)/activate && \
-		python -m build
+		$(PYTHON) -m build
 
 .PHONY: edit
 edit:

=== debian/changelog ===
golang-github-in-toto-attestation (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2

 -- Simon Josefsson <simon@josefsson.org>  Fri, 15 Aug 2025 15:28:14 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  golang-github-stretchr-testify-dev,
  golang-google-protobuf-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-in-toto-attestation
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-in-toto-attestation.git
 Homepage: https://github.com/in-toto/attestation

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries
